import { FaceContainer } from './FaceContainer';
import { BackgroundCircle } from './BackgroundCircle';
import { Eyes } from './Eyes';
import { Mouth } from './Mouth';

export const Face = ({
  width,
  height,
	centerX,
  centerY,
  strokeWidth,
  eyeOffsetX,
  eyeOffsetY,
  eyeRadius,
  eyeShineRatio,
  mouthWidth,
  mouthRadius,
  mouthStartPercent,
  mouthOffsetY  
}) => (
  <FaceContainer
      width={width}
      height={height}
      centerX={centerX}
      centerY={centerY}
    >
      <BackgroundCircle
        radius={centerY - strokeWidth / 2}
        strokeWidth={strokeWidth}
      />
      <Eyes
        eyeOffsetX={eyeOffsetX}
        eyeOffsetY={eyeOffsetY}
        eyeRadius={eyeRadius}
        eyeShineRatio={eyeShineRatio}
      />
      <Mouth 
        mouthWidth = {mouthWidth}
        mouthRadius = {mouthRadius}
        mouthStartPercent = {mouthStartPercent}
        mouthOffsetY={mouthOffsetY}
      />
    </FaceContainer>
);